Bug 129095 - Web Inspector: allow drag-to-adjust on angle input of gradients editor
Summary: Web Inspector: allow drag-to-adjust on angle input of gradients editor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
Depends on: 119686
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 04:11 PST by Antoine Quint
Modified: 2014-02-22 07:23 PST (History)
5 users (show)

See Also:


Attachments
Patch (34.30 KB, patch)
2014-02-21 05:41 PST, Antoine Quint
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2014-02-20 04:11:06 PST
The patch for https://bugs.webkit.org/show_bug.cgi?id=119686 will provide a new gradients editor but its angle input doesn't support drag-to-adjust the way numbers in CodeMirror editors allow. This would be a great way to adjust the angle, so we should support a similar system. This will likely mean that we'd have to generalize CodeMirrorDragToAlterNumberController to work with CodeMirror editors as well as other types of text values, probably with a simple delegate system.
Comment 1 Radar WebKit Bug Importer 2014-02-20 04:11:32 PST
<rdar://problem/16120195>
Comment 2 Radar WebKit Bug Importer 2014-02-20 04:11:33 PST
<rdar://problem/16120196>
Comment 3 Antoine Quint 2014-02-21 05:41:56 PST
Created attachment 224856 [details]
Patch
Comment 4 WebKit Commit Bot 2014-02-22 07:23:52 PST
Comment on attachment 224856 [details]
Patch

Clearing flags on attachment: 224856

Committed r164540: <http://trac.webkit.org/changeset/164540>
Comment 5 WebKit Commit Bot 2014-02-22 07:23:54 PST
All reviewed patches have been landed.  Closing bug.